import { Observable } from 'rxjs';
import * as i0 from "@angular/core";
export declare class UpdateWorklistService {
    private subject;
    /**
     * Function signals to update Work list
     * @param bUpdate - true: update worklist, false - do nothing
     */
    sendMessage(bUpdate: boolean): void;
    clearMessage(): void;
    getMessage(): Observable<any>;
    static ɵfac: i0.ɵɵFactoryDeclaration<UpdateWorklistService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<UpdateWorklistService>;
}
